<template>
  <q-layout view="hhh lpR fFf">

    <q-header bordered class="bg-primary text-white">
      <q-toolbar>
        <q-toolbar-title>
          <q-avatar>
            <img src="~assets/nessie.svg">
          </q-avatar>
          Logius - Centrum voor Standaarden - Kenniscentrum XBRL <span class="appname">Taxonomy viewer (Zoekresultaten)</span>
        </q-toolbar-title>

      </q-toolbar>
      <q-tabs align="left">
        <q-route-tab to="/dts" label="Presentatie" active-class="active"/>
        <q-route-tab to="/concepts" label="Concepten" />
        <q-route-tab to="/tables" label="Tabellen" />
        <q-route-tab to="/hypercubes" label="Hypercubes" />
        <q-route-tab to="/linkroles" label="Linkroles" />
      </q-tabs>
    </q-header>

    <q-drawer show-if-above side="left" bordered>
      <q-toolbar class="bg-secondary text-white shadow-2">
        <q-toolbar-title>Filters</q-toolbar-title>
      </q-toolbar>
      <div class="q-pa-lg">
        <q-option-group
          v-model="include_tables"
          :options="table_list"
          color="primary"
          type="checkbox"
          @input="emit_list(evt)"
          @change="emit_list"
        />
  </div>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>

    <q-footer bordered class="bg-grey-8 text-white">
      <q-toolbar>
        <q-toolbar-title>
          <div></div>
        </q-toolbar-title>
      </q-toolbar>
    </q-footer>

</q-layout>
</template>

<script>
export default {
  name: "SearchViewer",
  data() {
    return {
      query: undefined,
      include_tables: [
        "aspect_node",
        "assertion",
        "concept",
        "concept_relationshipnode",
        "dimension",
        "dimension_relationshipnode",
        "domain",
        "dts",
        "filter",
        "formula_period",
        "hypercube",
        "label",
        "linkrole",
        "reference",
        "table_breakdown",
        "table_rulenode",
        "xbrl_table",
      ],
      table_list: [
        {label: "Aspect node", value: "aspect_node"},
        {label: "Assertion", value: "assertion"},
        {label: "Concept", value: "concept"},
        {label: "Concept relationship", value: "concept_relationshipnode"},
        {label: "Dimension", value: "dimension"},
        {label: "Dimension relationship", value: "dimension_relationshipnode"},
        {label: "Domain", value: "domain"},
        {label: "DTS", value: "dts"},
        {label: "Filter", value: "filter"},
        {label: "Formula", value: "formula_period"},
        {label: "Hypercube", value: "hypercube"},
        {label: "Label", value: "label"},
        {label: "Linkrole", value: "linkrole"},
        {label: "Reference", value: "reference"},
        {label: "Tabebreakdown", value: "table_breakdown"},
        {label: "Rulenode", value: "table_rulenode"},
        {label: "Table", value: "xbrl_table"}
      ]
    }
  },
  mounted() {
    this.query = this.$route.params.query
  },
  methods: {
    emit_list: function(evt) {
      console.log(this.include_tables)
      console.log(evt.target)
    }
  }
}
</script>

<style scoped>

</style>
